jQuery(document).ready(function ($) {
    $('.upload_logo_button').click(function (e) {
        e.preventDefault();

        var button = $(this);
        var custom_uploader = wp.media({
            title: 'Select Logo',
            button: {
                text: 'Use this logo'
            },
            multiple: false
        })
        .on('select', function () {
            var attachment = custom_uploader.state().get('selection').first().toJSON();
            button.prev().val(attachment.url);
        })
        .open();
    });
});
