<?php
// نمایش صفحه تنظیمات انبار
function accounting_api_connector_stock_options() {
    if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.'));
    }

    // دریافت کد انبار ذخیره شده از تنظیمات
    $warehouse_id = get_option('accounting_api_warehouse_id', ''); // مقدار پیش‌فرض خالی است

    ?>
    <div class="wrap">
        <h1>تنظیمات انبار</h1>
        <form method="post" action="">
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">کد انبار</th>
                    <td><input type="text" id="idanbar" name="idanbar" value="<?php echo esc_attr($warehouse_id); ?>" /></td>
                </tr>
            </table>
            <input type="submit" name="update_stock" value="به‌روزرسانی دستی" class="button button-primary" />
        </form>
    </div>
    <?php

    // بررسی ارسال فرم برای ذخیره‌سازی کد انبار جدید
    if (isset($_POST['update_stock'])) {
        $idanbar = sanitize_text_field($_POST['idanbar']);
        // ذخیره کد انبار در تنظیمات
        update_option('accounting_api_warehouse_id', $idanbar);
        // فراخوانی تابع به‌روزرسانی انبار
        accounting_api_update_stock($idanbar);
    }
}

?>
